#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int n,k,i=0,m[20000],y,x=-1;
    cin>>n>>k;
    do
    {
      cin>>m[i];
      i++;

    }while(i!=n);
    do
    {
    x++;
    y=m[x];
    }while(y!=k);
    if(m[x]==m[i-1])
        cout<<m[0];
    else
    cout<<m[x+1];

    return 0;
}